void initializeTimerRegisters(void)//Timer initialization function
{
  TCCR1A = 0X00; //TCCR1A – Timer/Counter1 Control Register A; the two lsb are zero --> 'normal operation' - just counting...
  TCCR1B = 0X05;//TCCR1B – Timer/Counter1 Control Register B; 0x05 = 0b0000 0101 -->this sets the prescaler to clock/1024 and the timer to 'normal' operation, i.e. not PWM etc...
  TCCR1C = 0X00;
  TCNT1 = 0X00; //this register contains the actual timer value
  TIMSK1 = 0X00;	//Disable timer overflow interrupt
}
