char determineDigitalValuesOfBits()//Determine the logic value "0" and "1" of the data bits
{
  TCNT1 = 0X00;//reset timer to zero
  while(!(digitalRead(IR_IN))); //wait as long as the input pin is low
  Pulse_Width=TCNT1;//store the pulse width
  TCNT1=0;//reset the timer to zero
  if(Pulse_Width>=7&&Pulse_Width<=10)//if the pulse width is between 7 and 10 timer steps we have a 560us pulse, which is a valid signal
  {
    while(digitalRead(IR_IN));//waiting until the next low pulse comes
    Pulse_Width=TCNT1;
    TCNT1=0;
    if(Pulse_Width>=7&&Pulse_Width<=10)//if this time is again 560 us,
      return 0;//we have a zero
    else if(Pulse_Width>=25&&Pulse_Width<=27) //if this time is 1.75 ms,
      return 1;//we have a one
  }
  return -1;//we did not find a valid signal, and return -1 as error code
}

