void writeBitValuesIntoDataVariables()//This function evaluates the data bits of a transmission
{
  int i;
  int j;
  addressCode=0x00;// Clear the adress and the command registers. This is necessary since we are using bit set functions, i.e. we need a clean slate.
  commandCode=0x00;// Clear
  inverseCommandCode=0x00;// Clear

  //evaluate the two address bytes  
  for(i = 0 ; i < 16; i++)//we are expecting 2x8=16 address bits
  {
    if(determineDigitalValuesOfBits() == 1) //if 1; the 'determineDigitalValuesOfBits()' function teremines whether the actual pulse is a '0' or a '1'
        addressCode |= (1<<i);//"or" the bits into the addressCode integer variable; "|=" is a "bitwise or"; 1<<i generates a temporary integer variable with a "1" at the i'th position conting from the lsb
  }
  //evaluate the command byte
  for(i = 0 ; i < 8; i++) //8 bits in a byte...
  {
    if(determineDigitalValuesOfBits() == 1) //if 1
      commandCode |= (1<<i);// or the 1 into the command char (8 bit) variable
  }
  //evaluate the inverted comand byte
  for(j = 0 ; j < 8; j++)
  {
    if(determineDigitalValuesOfBits() == 1) //if 1
        inverseCommandCode |= (1<<j);//Save value
  }
}

